users
Update User
PATCH
/
api
/
users
/
{user_id}
Update User
curl --request PATCH \
--url https://api.aixy-gateway.com/api/users/{user_id} \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"suspended": true
}
'import requests
url = "https://api.aixy-gateway.com/api/users/{user_id}"
payload = {
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": ["<string>"],
"suspended": True
}
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
name: '<string>',
role: '<string>',
project_ids: ['<string>'],
suspended: true
})
};
fetch('https://api.aixy-gateway.com/api/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"analytics_access": "personal",
"suspended_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Path Parameters
Body
application/json
Response
Successful Response
Available options:
personal, project Allowed value:
"organization.user"⌘I
Update User
curl --request PATCH \
--url https://api.aixy-gateway.com/api/users/{user_id} \
--header 'Content-Type: application/json' \
--cookie gateway_session= \
--data '
{
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"suspended": true
}
'import requests
url = "https://api.aixy-gateway.com/api/users/{user_id}"
payload = {
"email": "[email protected]",
"name": "<string>",
"role": "<string>",
"project_ids": ["<string>"],
"suspended": True
}
headers = {
"cookie": "gateway_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'gateway_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
name: '<string>',
role: '<string>',
project_ids: ['<string>'],
suspended: true
})
};
fetch('https://api.aixy-gateway.com/api/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"organization_id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"project_ids": [
"<string>"
],
"analytics_access": "personal",
"suspended_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"object": "organization.user"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}